Subject: Re: jgit and ignore

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 1 Mar 2009 09:49:41 -0800

Tor Arne Vestbø <[email-masked]> wrote:
> Shawn O. Pearce wrote:
> > IMHO, we should honor ignores in EGit as:
> > 
> >   per-directory .gitignore
> >   per-repostiory GIT_DIR/info/exclude
> > 
> >   per-repository core.excludesfile (yes, really, it can be per
> >   repository, which overrides ~/.gitconfig setting of same)
> > 
> >   Eclipse global team ignore patterns
> 
> Just to be clear, I noticed you left out the global core.excludesfile
> (from ~/.gitconfig) here. I guess this intentional?

No, I didn't.  core.excludesfile is read from the config, the config
is a union of /etc/gitconfig, ~/.gitconfig, and GIT_DIR/config.  The
last setting wins.
 
> Or should we combine the ignores from the global team ignores and the
> ignores from the global core.excludesfile in ~/.gitconfig?
>
> Either way, I full agree that we should honor all repository ignores
> (whether they are in directory .gitignores, info/exclude, or given by
> repository-specific core.excludesfile).

Right.  See my reply to Ferry, we union all of them together, but in
the case of core.excludesfile we have to honor what the repository
is telling us is the correct setting for that one repository,
which may differ from other repositories if it has been overridden.

-- 
Shawn.